Irrlicht Engine: irr::scene::IParticleEmitter Class Reference

Home | Namespaces | Hierarchy | Alphabetical List | Class list | Files | Namespace Members | Class members | File members | Tutorials

# irr::scene::IParticleEmitter Class Reference

A particle emitter for using with particle systems. More...

`#include <IParticleEmitter.h>`

Inheritance diagram for irr::scene::IParticleEmitter:

List of all members.

## Public Member Functions
virtual s32 | emitt (u32 now, u32 timeSinceLastCall, SParticle *&outArray)=0
| Prepares an array with new particles to emitt into the system.
virtual const core::vector3df & | getDirection () const =0
| Get direction the emitter emits particles.
virtual u32 | getMaxParticlesPerSecond () const =0
| Get the maximum number of particles the emitter emits per second.
virtual const video::SColor & | getMaxStartColor () const =0
| Get the maximum starting color for particles.
virtual const core::dimension2df & | getMaxStartSize () const =0
| Get the maximum starting size for particles.
virtual u32 | getMinParticlesPerSecond () const =0
| Get the minimum number of particles the emitter emits per second.
virtual const video::SColor & | getMinStartColor () const =0
| Get the minimum starting color for particles.
virtual const core::dimension2df & | getMinStartSize () const =0
| Get the minimum starting size for particles.
virtual E_PARTICLE_EMITTER_TYPE | getType () const
| Get emitter type.
virtual void | setDirection (const core::vector3df &newDirection)=0
| Set direction the emitter emits particles.
virtual void | setMaxParticlesPerSecond (u32 maxPPS)=0
| Set maximum number of particles the emitter emits per second.
virtual void | setMaxStartColor (const video::SColor &color)=0
| Set maximum starting color for particles.
virtual void | setMaxStartSize (const core::dimension2df &size)=0
| Set the maximum starting size for particles.
virtual void | setMinParticlesPerSecond (u32 minPPS)=0
| Set minimum number of particles the emitter emits per second.
virtual void | setMinStartColor (const video::SColor &color)=0
| Set minimum starting color for particles.
virtual void | setMinStartSize (const core::dimension2df &size)=0
| Set the minimum starting size for particles.

## Detailed Description

A particle emitter for using with particle systems.

A Particle emitter emitts new particles into a particle system.

Definition at line 45 of file IParticleEmitter.h.

## Member Function Documentation

virtual s32 irr::scene::IParticleEmitter::emitt | ( | u32 | now,
|  | u32 | timeSinceLastCall,
|  | SParticle *& | outArray |
| ) |  |  | `[pure virtual]`

Prepares an array with new particles to emitt into the system.

Parameters:

  | now | Current time.
  | timeSinceLastCall | Time elapsed since last call, in milliseconds.
  | outArray | Pointer which will point to the array with the new particles to add into the system.

Returns:
  Amount of new particles in the array. Can be 0.

virtual const core::vector3df& irr::scene::IParticleEmitter::getDirection | ( |  | ) | const`[pure virtual]`

Get direction the emitter emits particles.

virtual u32 irr::scene::IParticleEmitter::getMaxParticlesPerSecond | ( |  | ) | const`[pure virtual]`

Get the maximum number of particles the emitter emits per second.

virtual const video::SColor& irr::scene::IParticleEmitter::getMaxStartColor | ( |  | ) | const`[pure virtual]`

Get the maximum starting color for particles.

virtual const core::dimension2df& irr::scene::IParticleEmitter::getMaxStartSize | ( |  | ) | const`[pure virtual]`

Get the maximum starting size for particles.

virtual u32 irr::scene::IParticleEmitter::getMinParticlesPerSecond | ( |  | ) | const`[pure virtual]`

Get the minimum number of particles the emitter emits per second.

virtual const video::SColor& irr::scene::IParticleEmitter::getMinStartColor | ( |  | ) | const`[pure virtual]`

Get the minimum starting color for particles.

virtual const core::dimension2df& irr::scene::IParticleEmitter::getMinStartSize | ( |  | ) | const`[pure virtual]`

Get the minimum starting size for particles.

virtual E_PARTICLE_EMITTER_TYPE irr::scene::IParticleEmitter::getType | ( |  | ) | const`[inline, virtual]`

Get emitter type.

Reimplemented in irr::scene::IParticleAnimatedMeshSceneNodeEmitter, irr::scene::IParticleBoxEmitter, irr::scene::IParticleCylinderEmitter, irr::scene::IParticleMeshEmitter, irr::scene::IParticleRingEmitter, and irr::scene::IParticleSphereEmitter.

Definition at line 101 of file IParticleEmitter.h.

References irr::scene::EPET_POINT.

virtual void irr::scene::IParticleEmitter::setDirection | ( | const core::vector3df & | newDirection | ) | `[pure virtual]`

Set direction the emitter emits particles.

virtual void irr::scene::IParticleEmitter::setMaxParticlesPerSecond | ( | u32 | maxPPS | ) | `[pure virtual]`

Set maximum number of particles the emitter emits per second.

virtual void irr::scene::IParticleEmitter::setMaxStartColor | ( | const video::SColor & | color | ) | `[pure virtual]`

Set maximum starting color for particles.

virtual void irr::scene::IParticleEmitter::setMaxStartSize | ( | const core::dimension2df & | size | ) | `[pure virtual]`

Set the maximum starting size for particles.

virtual void irr::scene::IParticleEmitter::setMinParticlesPerSecond | ( | u32 | minPPS | ) | `[pure virtual]`

Set minimum number of particles the emitter emits per second.

virtual void irr::scene::IParticleEmitter::setMinStartColor | ( | const video::SColor & | color | ) | `[pure virtual]`

Set minimum starting color for particles.

virtual void irr::scene::IParticleEmitter::setMinStartSize | ( | const core::dimension2df & | size | ) | `[pure virtual]`

Set the minimum starting size for particles.

The documentation for this class was generated from the following file:

- IParticleEmitter.h

| The Irrlicht Engine Documentation © 2003-2010 by Nikolaus Gebhardt. Generated on Sun Oct 24 12:42:07 2010 by Doxygen (1.6.2)